Index: uspace/lib/nettl/src/amap.c
===================================================================
--- uspace/lib/nettl/src/amap.c	(revision 7e20bee4e42d8e81265703423adbd3e83456bb6a)
+++ uspace/lib/nettl/src/amap.c	(revision b7fd2a02e4161f4edd38548e7f8456b8021549be)
@@ -80,8 +80,8 @@
  * @return EOk on success, ENOMEM if out of memory
  */
-int amap_create(amap_t **rmap)
+errno_t amap_create(amap_t **rmap)
 {
 	amap_t *map;
-	int rc;
+	errno_t rc;
 
 	log_msg(LOG_DEFAULT, LVL_DEBUG2, "amap_create()");
@@ -131,5 +131,5 @@
  * @return EOK on success, ENOENT if not found
  */
-static int amap_repla_find(amap_t *map, inet_ep_t *rep, inet_addr_t *la,
+static errno_t amap_repla_find(amap_t *map, inet_ep_t *rep, inet_addr_t *la,
     amap_repla_t **rrepla)
 {
@@ -175,9 +175,9 @@
  * @return EOK on success, ENOMEM if out of memory
  */
-static int amap_repla_insert(amap_t *map, inet_ep_t *rep, inet_addr_t *la,
+static errno_t amap_repla_insert(amap_t *map, inet_ep_t *rep, inet_addr_t *la,
     amap_repla_t **rrepla)
 {
 	amap_repla_t *repla;
-	int rc;
+	errno_t rc;
 
 	repla = calloc(1, sizeof(amap_repla_t));
@@ -225,5 +225,5 @@
  * @return EOK on success, ENOENT if not found.
  */
-static int amap_laddr_find(amap_t *map, inet_addr_t *addr,
+static errno_t amap_laddr_find(amap_t *map, inet_addr_t *addr,
     amap_laddr_t **rladdr)
 {
@@ -248,9 +248,9 @@
  * @return EOK on success, ENOMEM if out of memory
  */
-static int amap_laddr_insert(amap_t *map, inet_addr_t *addr,
+static errno_t amap_laddr_insert(amap_t *map, inet_addr_t *addr,
     amap_laddr_t **rladdr)
 {
 	amap_laddr_t *laddr;
-	int rc;
+	errno_t rc;
 
 	laddr = calloc(1, sizeof(amap_laddr_t));
@@ -297,5 +297,5 @@
  * @return EOK on success, ENOENT if not found.
  */
-static int amap_llink_find(amap_t *map, sysarg_t link_id,
+static errno_t amap_llink_find(amap_t *map, sysarg_t link_id,
     amap_llink_t **rllink)
 {
@@ -320,9 +320,9 @@
  * @return EOK on success, ENOMEM if out of memory
  */
-static int amap_llink_insert(amap_t *map, sysarg_t link_id,
+static errno_t amap_llink_insert(amap_t *map, sysarg_t link_id,
     amap_llink_t **rllink)
 {
 	amap_llink_t *llink;
-	int rc;
+	errno_t rc;
 
 	llink = calloc(1, sizeof(amap_llink_t));
@@ -372,10 +372,10 @@
  *         ENOMEM if out of memory
  */
-static int amap_insert_repla(amap_t *map, inet_ep2_t *epp, void *arg,
+static errno_t amap_insert_repla(amap_t *map, inet_ep2_t *epp, void *arg,
     amap_flags_t flags, inet_ep2_t *aepp)
 {
 	amap_repla_t *repla;
 	inet_ep2_t mepp;
-	int rc;
+	errno_t rc;
 
 	log_msg(LOG_DEFAULT, LVL_DEBUG2, "amap_insert_repla()");
@@ -417,10 +417,10 @@
  *         ENOMEM if out of memory
  */
-static int amap_insert_laddr(amap_t *map, inet_ep2_t *epp, void *arg,
+static errno_t amap_insert_laddr(amap_t *map, inet_ep2_t *epp, void *arg,
     amap_flags_t flags, inet_ep2_t *aepp)
 {
 	amap_laddr_t *laddr;
 	inet_ep2_t mepp;
-	int rc;
+	errno_t rc;
 
 	log_msg(LOG_DEFAULT, LVL_DEBUG2, "amap_insert_laddr()");
@@ -461,10 +461,10 @@
  *         ENOMEM if out of memory
  */
-static int amap_insert_llink(amap_t *map, inet_ep2_t *epp, void *arg,
+static errno_t amap_insert_llink(amap_t *map, inet_ep2_t *epp, void *arg,
     amap_flags_t flags, inet_ep2_t *aepp)
 {
 	amap_llink_t *llink;
 	inet_ep2_t mepp;
-	int rc;
+	errno_t rc;
 
 	log_msg(LOG_DEFAULT, LVL_DEBUG2, "amap_insert_llink()");
@@ -505,9 +505,9 @@
  *         ENOMEM if out of memory
  */
-static int amap_insert_unspec(amap_t *map, inet_ep2_t *epp, void *arg,
+static errno_t amap_insert_unspec(amap_t *map, inet_ep2_t *epp, void *arg,
     amap_flags_t flags, inet_ep2_t *aepp)
 {
 	inet_ep2_t mepp;
-	int rc;
+	errno_t rc;
 
 	log_msg(LOG_DEFAULT, LVL_DEBUG2, "amap_insert_unspec()");
@@ -538,10 +538,10 @@
  *         ENOMEM if out of memory
  */
-int amap_insert(amap_t *map, inet_ep2_t *epp, void *arg, amap_flags_t flags,
+errno_t amap_insert(amap_t *map, inet_ep2_t *epp, void *arg, amap_flags_t flags,
     inet_ep2_t *aepp)
 {
 	bool raddr, rport, laddr, llink;
 	inet_ep2_t mepp;
-	int rc;
+	errno_t rc;
 
 	log_msg(LOG_DEFAULT, LVL_DEBUG2, "amap_insert()");
@@ -599,5 +599,5 @@
 {
 	amap_repla_t *repla;
-	int rc;
+	errno_t rc;
 
 	rc = amap_repla_find(map, &epp->remote, &epp->local.addr, &repla);
@@ -624,5 +624,5 @@
 {
 	amap_laddr_t *laddr;
-	int rc;
+	errno_t rc;
 
 	rc = amap_laddr_find(map, &epp->local.addr, &laddr);
@@ -649,5 +649,5 @@
 {
 	amap_llink_t *llink;
-	int rc;
+	errno_t rc;
 
 	rc = amap_llink_find(map, epp->local_link, &llink);
@@ -721,7 +721,7 @@
  * @return	EOK on success, ENOENT if not found.
  */
-int amap_find_match(amap_t *map, inet_ep2_t *epp, void **rarg)
-{
-	int rc;
+errno_t amap_find_match(amap_t *map, inet_ep2_t *epp, void **rarg)
+{
+	errno_t rc;
 	amap_repla_t *repla;
 	amap_laddr_t *laddr;
